diff --git a/resources/data/skins/dark-mode.surge-skin/skin.xml b/resources/data/skins/dark-mode.surge-skin/skin.xml
index f2df7736b..3cd387c1b 100644
--- a/resources/data/skins/dark-mode.surge-skin/skin.xml
+++ b/resources/data/skins/dark-mode.surge-skin/skin.xml
@@ -126,10 +126,6 @@
     <image id="TEMPOSYNC_HORIZONTAL_OVERLAY" resource="SVG/bmpTS00153.svg"/>
     <image id="TEMPOSYNC_VERTICAL_OVERLAY" resource="SVG/bmpTS00157.svg"/>
 
-    <image id="STATUS_MPE" resource="SVG/StatusMPE.svg"/>
-    <image id="STATUS_TUNING" resource="SVG/StatusTune.svg"/>
-    <image id="STATUS_ZOOM" resource="SVG/StatusZoom.svg"/>
-
     <image id="mod-norm-h" resource="SVG/hslider_mod.svg"/>
     <image id="mod-ts-h" resource="SVG/hslider_mod_ts.svg"/>
     <image id="mod-hover-h" resource="SVG/hslider_mod_hover.svg"/>
diff --git a/src/common/gui/CLFOGui.cpp b/src/common/gui/CLFOGui.cpp
index a6003ecbb..978094076 100644
--- a/src/common/gui/CLFOGui.cpp
+++ b/src/common/gui/CLFOGui.cpp
@@ -505,12 +505,15 @@ void CLFOGui::draw(CDrawContext* dc)
    if( ! typeImg )
    {
       typeImg = bitmapStore->getBitmap( IDB_LFOTYPE );
+      typeImgHover = skin->hoverBitmapOverlayForBackgroundBitmap(skinControl, typeImg, bitmapStore, Surge::UI::Skin::HOVER );
+      typeImgHoverOn = skin->hoverBitmapOverlayForBackgroundBitmap(skinControl, typeImg, bitmapStore, Surge::UI::Skin::HOVER_OVER_ON );
    }
 
    if( typeImg )
    {
+      auto type = lfodata->shape.val.i;
       auto off = lfodata->shape.val.i * 76;
-      typeImg->draw( dc, CRect( CPoint( leftpanel.left, leftpanel.top + 2), CPoint( 51, 76 ) ), CPoint( 0, off ) );
+      typeImg->draw( dc, CRect( CPoint( leftpanel.left, leftpanel.top + 2), CPoint( 51, 76 ) ), CPoint( 0, off ), 0xff );
 
       for( int i=0; i<n_lfoshapes; ++i )
       {
@@ -518,6 +521,22 @@ void CLFOGui::draw(CDrawContext* dc)
          int yp = ( i / 2 ) * 15 + leftpanel.top;
          shaperect[i] = CRect( xp, yp, xp+25, yp+15 );
       }
+      if( lfo_type_hover >= 0 )
+      {
+         auto off = lfo_type_hover * 76;
+
+         if( lfo_type_hover == type )
+         {
+            if( typeImgHoverOn )
+            {
+               typeImgHoverOn->draw( dc, CRect( CPoint( leftpanel.left, leftpanel.top + 2), CPoint( 51, 76 ) ), CPoint( 0, off ), 0xff );
+            }
+         }
+         else if( typeImgHover ) {
+            typeImgHover->draw( dc, CRect( CPoint( leftpanel.left, leftpanel.top + 2), CPoint( 51, 76 ) ), CPoint( 0, off ), 0xff );
+         }
+      }
+
    }
    else
    {
@@ -1199,6 +1218,7 @@ CMouseEventResult CLFOGui::onMouseDown(CPoint& where, const CButtonState& button
 }
 CMouseEventResult CLFOGui::onMouseUp(CPoint& where, const CButtonState& buttons)
 {
+   lfo_type_hover = -1;
    if (controlstate == cs_trigtray_toggle)
    {
       selectedSSrow = -1;
@@ -1210,7 +1230,6 @@ CMouseEventResult CLFOGui::onMouseUp(CPoint& where, const CButtonState& buttons)
 
       for (int i = 0; i < n_stepseqsteps; i++)
       {
-
          if (draggedIntoTrigTray[i])
          {
             uint64_t off = 0, on = 0;
@@ -1344,6 +1363,18 @@ CMouseEventResult CLFOGui::onMouseUp(CPoint& where, const CButtonState& buttons)
 
 CMouseEventResult CLFOGui::onMouseMoved(CPoint& where, const CButtonState& buttons)
 {
+   int plt = lfo_type_hover;
+   lfo_type_hover = -1;
+   for( int i=0; i<n_lfoshapes; ++i )
+   {
+      if( shaperect[i].pointInside(where) )
+         lfo_type_hover = i;
+   }
+   if( plt != lfo_type_hover )
+   {
+      invalid();
+   }
+
    int pss = ss_shift_hover;
    ss_shift_hover = 0;
    if (rect_shapes.pointInside(where))
diff --git a/src/common/gui/CLFOGui.h b/src/common/gui/CLFOGui.h
index 240c389b1..87bc050db 100644
--- a/src/common/gui/CLFOGui.h
+++ b/src/common/gui/CLFOGui.h
@@ -25,6 +25,8 @@
 #include "CCursorHidingControl.h"
 
 
+class CScalableBitmap;
+
 class CLFOGui : public CCursorHidingControl, public Surge::UI::SkinConsumingComponent
 {
 public:
@@ -130,7 +132,8 @@ class CLFOGui : public CCursorHidingControl, public Surge::UI::SkinConsumingComp
    VSTGUI::CPoint rmStepStart, rmStepCurr;
 
    int ss_shift_hover = 0;
-   VSTGUI::CBitmap* typeImg;
+   int lfo_type_hover = -1;
+   CScalableBitmap *typeImg, *typeImgHover, *typeImgHoverOn;
    
    CLASS_METHODS(CLFOGui, CCursorHidingControl)
 };
